Skip to main content
PATCH
/
v1
/
projects
/
{project_id}
Update Project
curl --request PATCH \
  --url https://api.example.com/v1/projects/{project_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "archived": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "archived_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://acme-3f0e8fe2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string | null

Path Parameters

project_id
string<uuid>
required

Body

application/json
name
string | null
Required string length: 2 - 120
slug
string | null
Pattern: ^[a-z0-9][a-z0-9-]{1,62}$
archived
boolean | null

Response

Successful Response

id
string<uuid>
required
org_id
string<uuid>
required
name
string
required
slug
string
required
archived_at
string<date-time> | null
required
created_at
string<date-time>
required